Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Element_Tree_List_Node Class Reference

An abstract base class for describing a node list in a DTD child element definition. More...

`#include <Element_Tree.h>`

Inheritance diagram for ACEXML_Element_Tree_List_Node:

[legend]
Collaboration diagram for ACEXML_Element_Tree_List_Node:

[legend]
List of all members.

## Public Types
enum | LIST_TYPE { SEQUENCE, CHOICE }
## Public Methods
| ACEXML_Element_Tree_List_Node (void)
| Default constructor.
virtual | ~ACEXML_Element_Tree_List_Node (void)
| Destructor.
int | insert (ACEXML_Element_Tree_Node *node)
| Insert a new ACEXML_Element_Tree_Node into the list.
LIST_TYPE | get (void)
| Get/set the type of list.
int | set (LIST_TYPE type)
virtual void | dump ()
| Displaying the content.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
## Protected Attributes
LIST_TYPE | type_
ACEXML_Element_Tree_Node * | head_
ACEXML_Element_Tree_Node * | tail_
ACEXML_Element_Tree_List_Node * | pop_next_
## Friends
class | ACEXML_Element_Tree_List_Stack

## Detailed Description

An abstract base class for describing a node list in a DTD child element definition.

See also:
  ACEXML_Element_Tree_Node, ACEXML_Element_Tree_Name_Node

## Member Enumeration Documentation

enum ACEXML_Element_Tree_List_Node::LIST_TYPE

  | Enumeration values:
  SEQUENCE |
  CHOICE |

## Constructor & Destructor Documentation

ACEXML_INLINE ACEXML_Element_Tree_List_Node::ACEXML_Element_Tree_List_Node | ( | void |  | ) |

| Default constructor.

ACEXML_Element_Tree_List_Node::~ACEXML_Element_Tree_List_Node | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void ACEXML_Element_Tree_List_Node::dump | ( |  | ) | `[virtual]`

| Displaying the content. Implements ACEXML_Element_Tree_Node.

ACEXML_INLINE ACEXML_Element_Tree_List_Node::LIST_TYPE ACEXML_Element_Tree_List_Node::get | ( | void |  | ) |

| Get/set the type of list.

int ACEXML_Element_Tree_List_Node::insert | ( | ACEXML_Element_Tree_Node * | node | ) |

| Insert a new ACEXML_Element_Tree_Node into the list.

ACEXML_INLINE int ACEXML_Element_Tree_List_Node::set | ( | LIST_TYPE | type | ) |

## Friends And Related Function Documentation

friend class ACEXML_Element_Tree_List_Stack`[friend]`

## Member Data Documentation

ACEXML_Element_Tree_List_Node::ACE_ALLOC_HOOK_DECLARE

| Reimplemented from ACEXML_Element_Tree_Node.

ACEXML_Element_Tree_Node* ACEXML_Element_Tree_List_Node::head_`[protected]`

ACEXML_Element_Tree_List_Node* ACEXML_Element_Tree_List_Node::pop_next_`[protected]`

ACEXML_Element_Tree_Node* ACEXML_Element_Tree_List_Node::tail_`[protected]`

LIST_TYPE ACEXML_Element_Tree_List_Node::type_`[protected]`

The documentation for this class was generated from the following files:

- Element_Tree.h
- Element_Tree.cpp
- Element_Tree.i